> For the complete documentation index, see [llms.txt](https://docs.wpjobopenings.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wpjobopenings.com/developers/code-snippets/limit-the-file-size.md).

# Limit the file size

If you need to limit the upload file size you can use the below code snippet.

In the code snippet, we are limiting the file size to 1 MB. Please change the value to your preferred choice.

```php
function awsm_application_upload_size_limit( $size ) {
	if ( is_singular( 'awsm_job_openings' ) ) {
		$size = 1 * 1024 * 1024; // 1 MB
	}
	return $size;
}
add_filter( 'upload_size_limit', 'awsm_application_upload_size_limit' );

function awsm_job_application_submitting() {
	global $awsm_response;
	if ( count( $awsm_response['error'] ) === 0 && isset( $_FILES ) && count( $_FILES ) > 0 ) {
		$error = false;
		foreach ( $_FILES as $file ) {
			$limit = 1 * 1024 * 1024; // 1 MB
			if ( $file['size'] > $limit ) {
				$error = true;
			}
		}
		if ( $error ) {
			$awsm_response['error'][] = 'The file you have selected is too large';
		}
	}
}
add_action( 'awsm_job_application_submitting', 'awsm_job_application_submitting' );
```

{% hint style="info" %}
[**How to Easily Add Custom Code to Your WordPress Websites**](https://wp-content.co/add-custom-code-to-your-wordpress-websites/)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wpjobopenings.com/developers/code-snippets/limit-the-file-size.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
